# CEGUI::_memberBinder< T, Ret, Args > Class Template Reference

This class binds a member function along with a target object. More...

Inheritance diagram for CEGUI::_memberBinder< T, Ret, Args >:

[legend]
Collaboration diagram for CEGUI::_memberBinder< T, Ret, Args >:

[legend]
List of all members.

## Public Member Functions

virtual Ret | operator() (Args args) const
| _memberBinder (F f, T *t)

## Protected Attributes

F | d_f
T * | d_t

## Detailed Description

### template<class T, typename Ret, typename Args>
class CEGUI::_memberBinder< T, Ret, Args >

This class binds a member function along with a target object.